## wechat-data-decode

微信 data 解密。

### 需求

微信暂用 C 盘几个 G，需要对微信目录清理。墓中的 image/video 等文件夹中的不需要的文件直接删掉即可。而 Data 目录占用了最大 2G 空间，那么删除这些 .data 文件前最好知道是什么文件。

最后发现 Data 都是图片文件，而且绝大多数都没用了。。。

### 原理

（1）DAT文件，前三位是4F 96 88。

（2）给出参考文件头：
```
JPEG (jpg)，文件头：FFD8FF

PNG (png)，文件头：89504E47

GIF (gif)，文件头：47494638
```
（3）异或处理尝试
```
4F9688 Xor FFD8FF    =    B04E77‬

4F9688 Xor 89504E    =    C6C6C6‬

4F9688 Xor 474946    =    8 DFCE‬
```
（4）对比发现密钥

可以发现，异或结果 C6C6C6‬ 十分规律，对每个字节异或都为**C6**。反过来，图片加密的算法就是 89504E Xor C6C6C6 = 4F9688


